Get Payroll Report

Get payroll report data for a payroll cycle, including available columns, employee row values, and optional previous report items. Use this response to discover payroll_report_column_id and payroll_id before updating entries. Token scopes: global-payroll:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

cycle_idstringRequired

Payroll event/cycle id.

Query parameters

contract_oidslist of stringsOptional

Contract OID(s) to filter report rows.

searchstringOptional
Filter by employee name.
employee_statuslist of stringsOptional
Employee status filter.
limitintegerOptional1-200Defaults to 100
Maximum number of report rows.
cursorstring or doubleOptional
Cursor for pagination.

Response

Successful response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error